//
//  GLMapHistoryItem.h
//  GLMapKit
//
//  Created by Jeffrey Early on 2/26/09.
//  Copyright 2009 Early Innovations, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGeometryKit/GLGeometryKit.h>

@interface GLMapHistoryItem : NSObject {
	GLPoint longitudeLatitude;
	double resolution;
	NSString *title;
	NSDate *lastVistedDate;
}

+ (GLMapHistoryItem *) mapHistoryItemWithLonLat: (GLPoint) point resolution: (double) aResolution;

@property GLPoint longitudeLatitude;
@property double resolution;
@property(readonly) NSString *title;
@property(copy) NSDate *lastVistedDate;

@end
